Home

Home > Home

HotDocs Workspace Help File

This Help file contains information you need to use HotDocs Workspace.

The HotDocs Help window is divided into three parts – the navigation bar along the top of the help window, the main help content pane to the right, and the Contents, Search and Glossary pane to the left.

Copyright © 2014 HotDocs Limited.


What is HotDocs Workspace

Home > Getting Started with Workspace > What is HotDocs Workspace?

What is HotDocs Workspace?

HotDocs Workspace is an online application you can use to produce and manage forms and documents. You access HotDocs Workspace using a web browser, where you can select a document template, supply information to populate the template, and download the completed document. Workspace saves the completed document and allows you to update or download the document at a later date.


Getting Started with Workspace

HotDocs Workspace is an online application you can use to produce and manage forms and documents. You access HotDocs Workspace using a web browser, where you can select a document template, supply information to populate the template, and download the completed document.

To begin using this guide, it is necessary for Workspace Administrator to provide login details and assign you to a Group.

To access Workspace

  1. Open your web browser and enter the address of Workspace as provided by Workspace Administrator.
  2. At the login screen, enter your username and password and click Log In. Optionally, check Remember Me for Workspace to remember your username and password.

For security reasons, use of the Remember Me option is not recommended when accessing Workspace with a public computer.

Next Topic


System Requirements for HotDocs Workspace

Home > Getting Started with Workspace > System Requirements for HotDocs Workspace

Web Browsers

To access Workspace, users must have a compatible web browser installed.

 | Internet Explorer | Firefox | Safari | Chrome
Version | Version 8 and later | Version 2 and later | Version 3 and later | Version 5 and later
JavaScript | Yes | Yes | Yes | Yes
Silverlight | Yes | Yes | Yes | Yes


Home Page: Overview

The Home Page is the main interface to Workspace. It provides a list of active work items, the ability to create and edit work items, and search functions. The Home Page contains the following elements:

  1. Authentication Status bar — shows the user currently logged in to Workspace. This also provides links to:
    1. Logout — clicking this link logs the current user out of Workspace.
    2. Change Password — clicking this link opens the Change Password page.
  2. Navigation Toolbar — lists the main sections of Workspace. Click on a link to navigate to that section. Workspace shows the name of the currently displayed section in blue text.
  3. My Groups drop-down list — used to categorise work items. Click on a tab to navigate to that Group. The Administrator can customize group names. Within each Group are the functions:
    1. Quick Search — searches the items in the selected group using the entered search terms.
    2. Create a Work Item — shows a list of all available templates. Click on a template in the list to start creating a new work item.
  4. Item list — displays a list of all work items in the selected group.


Interviews: Overview

By providing answers to the questions in the interview, Workspace is able to create a custom document using those answers and the template you previously selected. Once you have completed the interview, Workspace saves this document and it becomes available for download.

A HotDocs interview is a series of dialogs, each containing one or more questions. Workspace creates a custom document using your answers and the template you previously selected. Once you complete the interview, Workspace assembles the final customized document from the template by merging the interview answers into the template text.

The left pane of the interview window displays an outline of the interview. As the user answers questions, the outline tracks the user's progress through the interview.

Once the user has completed the interview, the finished document is added to the current work item. The answers supplied in the interview are also saved, so that the user can update the completed document in the future without having to input all the answers again.

The HotDocs interview is displayed using either JavaScript or Microsoft Silverlight. For more details, please refer to the HotDocs Server documentation.


Answer Mapping: Overview

You can use answer mapping to populate answer fields in an interview with data retrieved from a database. Workspace can fill answer fields or you can select data yourself. For example, when entering customer details, you can open a list containing the names of all customers. When you select the required name from the list, Workspace enters the answers for the name and any related fields (e.g. customer address, phone number) into the interview.

Answer Mapping in an Interview

The answer mapping appears as a button on an interview dialog:

When you click the button, a list of answers appears in a new Answer Source window.


Versions: Overview

Workspace can store multiple Versions Each time you update a document's interview, you create a new version. These are tracked by number, starting at 1. You can review previous versions by clicking on the < and > arrow links to change the version number. of each work item. Once you have created a work item, each subsequent change — adding a document or updating a set of answers — Workspace creates a new version of the work item. There is no limit to the number of versions that you can make for a work item.

By using versions, you can see where and when you have made changes to a work item, or revert to previous versions of a work item. For example, if an error has occurred when you are updating the answers in a document, you can access a previous version of the work item, containing the correct information.

Using Versions

You can navigate between different versions of the work item using the Revision Navigation buttons. This is available in the Work Item Details page.


Work Items: Overview

Workspace collects all documents (letters, forms, contracts, and so on) associated with a project together in a single unit known as a Work Item. A work item consists of one or more documents and the set of answers used to generate them. You can save, update, or delete the documents within a work item. You can add new documents to a work item at any time.

Work Item Groups

Every home page contains one or more Groups. You can use these to organise work items into different categories. For example, you may produce contracts for leasing and selling houses. To keep these two different types of work item separate, all work items concerned with leasing will go in a Leasing group. All work items concerned with selling will go in a Selling group.

To navigate between different groups, select the group you want from the My Groups drop-down list.

Each group has an assigned set of templates from which they can create work items. When you create a new work item in a group, you can select one or more templates from the set available to the group.

Work Item List

Workspace displays the work items currently available to you in the Work Items List on the Home page. Whenever your group create a new work item, workspace adds it to the list.

In the Work Items List, you can click on the title of a work item to go to the Work Item Details page. To the right of the Document name in the work item, you can click on a drop-down arrow to view the document options: Update Interview or [image] Download. If there is more than one document in the work item, the drop-down arrow will first display a list of documents to choose from.

The Workspace Administrator can customize all the other columns available on the Work Items List, selecting from the list below or creating new fields:

  • Description — Displays the description of the work item
  • Created — Displays the time the work item was created
  • Modified — Displays the time the work item was last updated
  • Last User — Displays the name of the last user to update the work item
  • Version — Displays the version widget that allows you to control which revision to display
  • Quick Actions — Displays the 4 quick action buttons:
    • Add another document to the work item
    • Edit the work item
    • Export answers
    • Delete the work item


Work Item Details Page: Overview

Each work item in Workspace has a Work Item Details page. From this page you can perform actions such as adding another document to the work item, exporting the answers, updating the interview and downloading the template. You can also view the work item history and switch between versions of the work item.

Edit Functions

You can use the buttons at the top of the screen to edit the work item:

  • Add another document — Allows you to add a new template to the work item
  • Edit title and description — Allows you to edit the title and description of a work item
  • Export answers — Exports the answers from the current version of the work item as a HotDocs Answer File (.anx)
  • Delete item — Deletes the currently selected work item

Versions

Whenever a work item is modified by a user, a new numbered Version of the work item is created. This enables users to keep track of changes made to a work item. To navigate between earlier and later versions of a work item, click the Version Navigation buttons: <, >.

Assemblies

Next to every template and document used in the work item there are two options:

  • Update Interview — Re-opens the current version of the interview and allows you to make changes
  • Download — Downloads the current version of the selected document
  • Download PDF — Downloads the current version of the selected document as a PDF

History

At this page, you can also view creation and modification details about the current work item:

  • Assembled — time a document was last assembled and the user who assembled it
  • Last Update — time the last update on the work item was made and the name of the user who performed the activity
  • Item Creation — time the work item was created and the name of the user who created it


Add a Document

After you have created it, most work items consist of a single document. You can add additional documents to a work item, and Workspace will populate any questions common to both documents with the answers from the first. You can add as many documents to a work item as you like.

To add a document to a work item

  1. Go to the Work Item Details page. You can access this from the Home page by clicking on the title of a work item in the work item list.
  2. Click [image] Add another document.
  3. Click on the template you want to assemble from the list of templates available in the current group.
  4. This will launch the HotDocs interview. Add any additional information you need into the interview, then click Finish.


Answers for Multiple Documents

Within a work item, there may be multiple documents that use the same information. For example, a contract may require that a customer's name is repeated across several different documents. To ensure that information is accurate across these documents, the Flexible Document Platform stores a single answer for the customer name. The answer is then used by all documents in the work item that show the customer name. This means that changing the name in one document updates all other documents with the new name.

For this to work correctly, the same variable name must be used in every template which is to use the information.


Change your login password

To change your login password

  1. Ensure you have logged in to Workspace.
  2. The Authentication Status Bar appears at the top right of the window. Click Change Password.
  3. Enter your old and new passwords into their respective fields.
  4. Click Change Password.


Copy a Work Item

This functionality is disabled in Workspace by default. To enable this functionality, you need to edit the Workspace Web.config file. For more information, contact your Workspace Administrator.

Copying a work item copies all of the documents and related answers from one Work Item into a new, separate Work Item. Changes made to one Work Item will not affect the other Work Item.

To copy a work item

  1. Navigate to the home page. There is a [image] Copy button next to each work item in the Work Items List.
  2. Click the Copy button next to the Work Item you wish to copy.
  3. The Copy Work Item page appears and prompts you for a Work Item Title and Description. Fill out the fields and click Save Changes.
  4. You are returned to the Home page. The new work item appears in the Work Items List.


Create a Document

To create a document

  1. On the home page, select the Group you want from the drop-down list.
  2. Click Create Work Item.
  3. Click the name of the template you would like to use create your document. This opens the HotDocs interview for that template.
  4. Fill in your answers. For help on how the interview works, click [image] in the interview's toolbar. When you have entered all the information, click Finish.
  5. At the Work Items Details page, you can Download the document, edit your answers in the interview, or create a new version of the document by clicking Update.


Create a Work Item

  1. In the Navigation bar, click Home.
  2. Make sure you have selected the correct group from the drop-down list the click Create Work Item.
  3. Click on a template to add it to your new work Item. If you need to see information about the template, click the [image] Information button next to the template. If you want to upload an existing Answer File Each document within a work item has an associated Answer File. These can be updated or downloaded as a HotDocs XML Answer File. This answer file can be used with a desktop version of HotDocs (e.g. HotDocs User or HotDocs Player) or uploaded when assembling another document with Workspace. to use with the template, click the [image] Upload Answer File button.
  4. A HotDocs Interview Creating a document in Workspace involves filling out a HotDocs Interview. The interview gathers answers which are used to construct the document, but can be re-used to create other related documents, or for other uses. The interview asks questions that have been defined by a HotDocs template developer. You can learn more about HotDocs at the HotDocs website. For more information about how to use the interview, click the Help icon in the interview's toolbar while creating a document. appears. Navigate through the interview until you have completed it.
  5. Once you have finished and Workspace has processed the answer, the Work Items Details page appears, where you can view and modify the work item.


Edit a Work Item

Workspace lists work items on the Home page with a title and description. By default, the description is blank, and the title contains the phrase "New Work Item" (this might be different on your system) and the date and time of creation. You can use the Quick Search to search the text of these titles and descriptions, so you may wish to replace them with more useful information.

Some characters cannot be used in Work Item Titles. These are: semicolon (';'), greater than ('<'), less than ('>'), double quote ('"'), pipe ('|'), question mark ('?'), backslash ('\'), and asterisk ('*').

To edit a Work Item

  1. Click on the title of the work item you want to edit.
  2. Click [image] Edit title and description.
  3. Type your new title and description, and click the Save Changes button.

The new title and description will appear in the work item.


Export a Work Item

Home > Using Workspace > Export Answers from a Work Item

Export Answers from a Work Item

The [image] Export function exports the answers from the selected work item to a HotDocs XML Answer File (*.ANX). You can export either from the Export link in a work item, or by using the Export button in the Advanced Search panel.


Log In to Workspace

To Log In to Workspace

  1. Open your web browser and enter the address of Workspace as provided by your Workspace Administrator.
  2. At the login screen, enter your login name and password and click Log In. Optionally, check Remember Me for Workspace to keep you logged in on this machine until you choose to log out.

For security reasons, use of the Remember Me option is not recommended when accessing Workspace with a public computer.


Quick Search

The Quick Search function is a quick, simple search function.

In order to take advantage of the Quick Search, you may wish to edit your work items to add keywords to the title and description.

To perform a quick search

  1. Type the search term in the field with the [image] Quick Search icon.
  2. The Work Item list will filter results as you type.
  3. To clear the current search, delete the text in the Quick Search box.


Contact HotDocs Sales and Support

HotDocs Technical Support

Support for customers with technical support agreements is available by calling the numbers below. To expedite your call, please be at the computer on which the program is running.

Outside the European Union:

Method of Contact | Information
Telephone | (800) 828-8328 (U.S.) (801) 615-2200 (International) U.S. technical support is available from 7:00am to 6:00pm (MST), Monday through Friday.
E-mail | support@hotdocs.com
Web Site | http://www.hotdocs.com/support/

Inside the European Union:

Method of Contact | Information
Telephone | 0843 208 0704 (U.K.) +44 131 226 3999 (International) U.K. technical support is available from 9:00am to 5:00pm (GMT), Monday through Friday.
E-mail | tech@hotdocs.co.uk
Web Site | http://www.hotdocs.co.uk

You may also find answers or solutions to questions you have in the HotDocs Wiki. To view the Wiki (as well as access other support options), please visit http://wiki.hotdocs.com.

Click here for information on providing the HotDocs Publications team with documentation feedback.

HotDocs Sales Support

Experienced HotDocs consultants are available to help you with a variety of services, including integrating HotDocs with other products, building a template library, or providing training. Please contact your sales representative to learn more.

Outside the European Union:

Method of Contact | Information
Telephone | (800) 500-3627 (U.S. Sales) (801) 615-2200 (U.S. Business) +44 131 226 3999 (International)
Fax | (877) 356-3627 (U.S.) (801) 868-3627 (International)
E-mail | sales@hotdocs.com
Web Site | http://www.hotdocs.com http://www.hotdocs.com/products http://www.hotdocs.com/services
Address | 387 South 520 West Suite 210 Lindon, Utah 84042

Inside the European Union:

Method of Contact | Information
Telephone | 0131 226 3999 (U.K.) +44 131 226 3999 (International)
Fax | 0131 220 9024 (U.K.) +44 131 220 9024 (International)
E-mail | info@hotdocs.co.uk
Web Site | http://www.hotdocs.co.uk
Address | 14 South Charlotte Street Edinburgh, EH2 4AX Scotland


Documentation Feedback

To improve the quality of the tutorials and the help files, we invite you to make comments or suggestions. When doing so, please include as much information about your experience using the documentation as possible. For example, include which version of the product you are using, as well as whether your suggestion is in regards to the Installation Guide and Tutorial or the electronic help file. If commenting about a specific topic, include that information as well.

The HotDocs Publications team cannot respond to technical support or project consulting questions. We are mainly interested in problems with the documentation itself—such as erroneous information, grammatical and spelling errors, or suggestions for topics to include in the next release of the software.

E-mail your comments and suggestions to publications@hotdocs.com.


Copyright Information

Copyright

Copyright © 2014 HotDocs Limited.

All rights reserved. No part of this product may be reproduced, transmitted, transcribed, stored in a retrieval system, or translated into any language in any form by any means without the express written permission of HotDocs Limited ("HotDocs").

Warranty Information

HotDocs makes no representations or warranties with respect to the contents or use of this product and specifically disclaims any express or implied warranties of merchantability or fitness for any particular purpose. Information in this document is subject to change without notice and does not represent a commitment on the part of HotDocs.

Government Use

Use, duplication, or disclosure by the Federal Government is subject to restrictions as set forth in FAR clauses 52.227--14, “Rights in Data--General”; 52.227--19, “Commercial Computer Software--Restricted Rights”; and subdivision (c)(1)(ii) of the Rights in Technical Data and Computer Software clause DFAR 252.227--7013; and the limitations set forth in the standard commercial license agreement for this software. Unpublished rights are reserved under the copyright laws of the United States.

Trademark Information

HotDocs is a registered trademark of HotDocs Limited. Other product names may be trademarks or registered trademarks of their respective companies.


Getting Started: Home Page

Home Page

Upon login, the Home Page appears. On this page, you can use the My Groups drop-down list to view the groups the Workspace Administrator has assigned you. You can click on a group to view the list of Work Items associated with that group, each of which contains at least one assembled Document A Document is an assembled template, with an associated set of answers, contained within a Work Item. A work item may contain several different documents. A document can be downloaded as a Microsoft Word file (or a PDF, if your system has been configured with this capability) from a link inside its work item.. The Workspace Administrator can customize work items to reflect the kind of documents being produced. For example, a law firm might have work items called Estate Planning Package or Bankruptcy Forms to correspond to different areas of practice. Work items for a bank might be entitled Loan Package or Real Estate Transaction.

Navigation Bar

You can use the Navigation Bar, at the top of the page, to move between the main sections of Workspace. To use the navigation bar, click on a link to move to that area of Workspace.

Quick Search

You can use the Quick Search function to quickly search for Work Items in Workspace.

To perform a search, type your search term into the quick search box. The results will filter automatically. To return to the full list of items, clear the Quick Search box.

Pagination

On the Home, there is a pagination control to limit or expand the entries shown on the screen.

To change the amount of items per page, use the Items per Page drop-down box on the right. You can browse through the pages by clicking the appropriate link after Pages on the left.


Getting Started with Workspace — Creating a new Work Item

Creating a new Work Item

You can create a new Work Item by clicking on the Create Work Item button below the My Groups drop-down list. From there, you can choose a template for assembly.

Next to each template are two icons:

  • Template Details — navigates to a description of the template.
  • Answer Upload — allows you to upload an existing Answer File to use with the template.

To begin assembling, click on your chosen template.


Getting Started with Workspace — Interview

Interview

By providing answers to the questions in the interview, Workspace is able to create a custom document using those answers and the template you previously selected. Once you have completed the interview, Workspace saves this document and it becomes available for download.

A HotDocs interview is a series of dialogs, each containing one or more questions. Workspace creates a custom document using your answers and the template you previously selected. Once you complete the interview, Workspace assembles the final customized document from the template by merging the interview answers into the template text.

The left pane of the interview window displays an outline of the interview. As the user answers questions, the outline tracks the user's progress through the interview.

At the top of the interview pane there are three buttons:

  • Document Preview- Displays a preview of the completed document.
  • Answer Summary- Displays a list of questions and answers from the interview.
  • Help- Displays a help page on completing the interview.

You can return to the interview from any of these pages by clicking Back to Interview.


Getting Started with Workspace — Return to Home Page

Return to Home Page

On returning to the Home Page, notice that Workspace has added the newly completed work item to the Work Items List. The items in the list can be sorted in ascending or descending order by clicking on the column headings.

You can click on the work item title to return to the Work Item Details page discussed in the previous topic or you can use the drop-down arrow on the right-hand side to quickly access the following options:

  • Update Interview — return to the current version of the work item and update the answers in the interview.
  • Download Assembly — download the assembled document for the currently selected version of the work item.

The Workspace Administrator can customize the table to provide further options here. They can choose to include the work item description, creation date, last modified date, last user, version number and the edit buttons that you can access on the Work Items Details page.

Previous Topic


Getting Started with Workspace — Work Item Details

Once you have finished the interview, Workspace displays the Work Item Details page. On this page, you can download the completed work item, edit it further, or switch to a different version of the work item.

Editing the Document

You can edit any version of an assembled document using the Edit Functions:

  • Add another document — Allows you to add a new template to the work item.
  • Edit title and description — Allows you to edit the Title and Description of a work item.
  • Export answers — Exports the answers from the document to a HotDocs Answer File (.anx).
  • Delete item — deletes the currently selected version of the work item.

Versions

Whenever you modify a work item, Workspace creates a new numbered Version of the work item. This enables you to keep track of changes made to a work item and to navigate between earlier and later versions of a work item, click the Version Navigation buttons: <, >.

Update the interview

Click [image] Update Interview to return to the current version of the work item and update the answers in the interview.

Downloading the completed document

Click [image] Download to download the assembled document for the currently selected version of the work item.

Below these options you can view the history of this work item. Once you have completed your work on this page, click Back to (group name) to return to the selected group on the Home Page.